Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.alsb.financial.api
Class AggregationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.alsb.financial.api.FinancialException
                  com.bea.alsb.financial.api.AggregationException

All Implemented Interfaces:
  Serializable

    public class AggregationException

extends FinancialException

Exception thrown by the aggregation operation.

See Also:
  Serialized Form

Constructor Summary
`AggregationException()` Empty constructor.
`AggregationException(String message)` Message-based constructor.
`AggregationException(String message, Throwable cause)` Full constructor.
`AggregationException(Throwable cause)` Cause-based constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AggregationException

    public AggregationException()

  Empty constructor.

### AggregationException

    public AggregationException(String message)

  Message-based constructor.

  Parameters:
    `message` - the error message.

### AggregationException

    public AggregationException(Throwable cause)

  Cause-based constructor.

  Parameters:
    `cause` - the original exception causing the trouble.

### AggregationException

    public AggregationException(String message,
                                Throwable cause)

  Full constructor.

  Parameters:
    `message` - the error message.
    `cause` - the original exception causing the trouble.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD